# Method: customers.userLists.addRecipients

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userLists/addRecipients#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userLists/addRecipients#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userLists/addRecipients#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userLists/addRecipients#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userLists/addRecipients#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userLists/addRecipients#body.aspect)

Add entities to an Ads Data Hub-managed user list's recipients. Supported entities are: - Google Ads Customer - DV360 Partner - DV360 Advertiser These entities must be linked to the ads data customer associated with the UserList.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{userList=customers/*/userLists/*}:addRecipients`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userList` | `string` Required. Full resource name of the user list to be updated. Has the form of customers/\[customerId\]/userLists/\[userlist_id\] |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "recipientAdsDataLinks": [ string ] } ``` |

| Fields ||
|---|---|
| `recipientAdsDataLinks[]` | `string` Add these linked entities to the specified userList's recipients. eg. customers/\[customerId\]/adsDataLinks/\[resource_id\] |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userLists#UserList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`